// Crank Sensor Signal GOOD & BAD
// 2015 Mercedes BenZ GLA250
// Brian Mann Hands On Auto Training LLC 12-12-2022

int LED = 13;     // OUTPUT, Crank Signal
int Switch1 = 2;  //pin 2 will be attached to our switch to change between good and bad patterns

void setup() {
  //setup runs once
  pinMode(LED, OUTPUT);     //setting LED as an OUTPUT
  pinMode(Switch1, INPUT);  //serttting pin 2 Switch1 as a input
}


void loop() {
  //now within loop() we'll take actions based on the status of the input switch

  //this is a conditional test, if Switch 1 is high run the following code, GOOD PATTERN

  if (digitalRead(Switch1) == HIGH) {
    delay(13.26);  // Missing Tooth
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44.7);  // tooth 1
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 2
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.38);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 3
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 4
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.42);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 5
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.59);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 6
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.63);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(51.4);  // tooth 7
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 8
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.87);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50.4);  // tooth 9
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.95);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 10
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 11
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.1);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46);  // tooth 12
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.05);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(41.55);  // tooth 13
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46.3);  // tooth 14
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.82);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(41.5);  // tooth 15
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.45);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46.37);  // tooth 16
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.08);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 17
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.9);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 18
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.8);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 19
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.6);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 20
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.48);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 21
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.42);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 22
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.44);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 23
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 24
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.67);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 25
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.24);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 26
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.06);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 27
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.24);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44);  // tooth 28
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 29
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.55);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 30
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.58);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 31
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 32
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.26);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 33
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 34
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 35
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 36
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.51);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44);  // tooth 37
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.65);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 38
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.84);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 39
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.92);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 40
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.99);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 41
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.1);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 42
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.04);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 43
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.95);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 44
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.76);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.9);  // tooth 45
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.46);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 46
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.15);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(42.03);  // tooth 47
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.92);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 48
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.75);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.46);  // tooth 49
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.36);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.8);  // tooth 50
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.58);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.9);  // tooth 51
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.6);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 52
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.67);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(42.03);  // tooth 53
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.84);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 54
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.02);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.46);  // tooth 55
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.21);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(52);  // tooth 56
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 57
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.53);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);            // tooth 58
    digitalWrite(LED_BUILTIN, HIGH);  //set up for REPEAT
  }
// if pin 2 is not high run the following code,  BAD PATTERN
  else {
    delay(13.26);  // Missing Tooth
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44.7);  // tooth 1
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 2
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.38);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 3
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 4
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.42);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 5
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.59);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 6
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.63);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(51.4);  // tooth 7
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 8
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.87);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(51.4);  // tooth 9
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 10
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.19);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(51);  // tooth 11
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.27);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46);  // tooth 12
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.2);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(41.55);  // tooth 13
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.09);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46.3);  // tooth 14
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.82);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(41.5);  // tooth 15
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.45);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(46.37);  // tooth 16
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.08);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48);  // tooth 17
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.9);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 18
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.8);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 19
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.6);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 20
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.48);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 21
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.42);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 22
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.44);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 23
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.5);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 24
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.67);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 25
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.24);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 26
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.06);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 27
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.24);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44);  // tooth 28
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 29
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.55);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 30
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.58);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 31
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 32
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.26);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 33
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.29);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 34
    digitalWrite(LED_BUILTIN, HIGH);
    delay(2.5);
    digitalWrite(LED_BUILTIN, LOW);  //BAD BAD BAD BAD...................................................
    delayMicroseconds(95);
    digitalWrite(LED_BUILTIN, HIGH);
    delay(1.67);
    digitalWrite(LED_BUILTIN, LOW);


    delayMicroseconds(47);  // tooth 35
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 36
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.51);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(44);  // tooth 37
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.65);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 38
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.84);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 39
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.92);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 40
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.99);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(47);  // tooth 41
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.1);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 42
    digitalWrite(LED_BUILTIN, HIGH);
    delay(5.04);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 43
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.95);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 44
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.76);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.9);  // tooth 45
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.46);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 46
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.15);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(42.03);  // tooth 47
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.92);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.4);  // tooth 48
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.75);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.46);  // tooth 49
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.36);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.8);  // tooth 50
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.58);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(48.9);  // tooth 51
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.6);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(50);  // tooth 52
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.67);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(42.03);  // tooth 53
    digitalWrite(LED_BUILTIN, HIGH);
    delay(3.84);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 54
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.02);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(45.46);  // tooth 55
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.21);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(52);  // tooth 56
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.4);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);  // tooth 57
    digitalWrite(LED_BUILTIN, HIGH);
    delay(4.53);
    digitalWrite(LED_BUILTIN, LOW);
    delayMicroseconds(49);            // tooth 58
    digitalWrite(LED_BUILTIN, HIGH);  //set up for REPEAT
  }
}
